Skip to main content
GET
Get TMS

Path Parameters

tms_id
string<uuid>
required

Response

Successful Response

API model for reading a TMS

Contains TMS details visible to fleets and partners.

name
string
required
source_name
enum<string>
required

TMS enum identifier for API references

Available options:
alvys,
ascend_tms,
axon_software,
blue_yonder,
dat,
descartes_aljex,
freightpop,
manhattan_associates,
mastery_tms,
mcleod,
mercury_gate,
oracle_transportation_management,
pcs_software,
revenova,
rose_rocket,
sap_transportation_management,
tailwind_tms,
tai_tms,
tms_simulator,
transport_pro,
trimble_transportation,
turvo
conn_type
enum<string>
required

The type of connection used to authenticate with the TMS

Available options:
access_token,
api_auth,
api_basic,
api_key,
azuga_slc,
bouncie,
client_id_secret,
company_access,
company_id,
database,
driver_tech,
ez_lynk,
ez_lynk_access,
ezlogz,
factor_eld,
fleetup,
fleetup_slc,
geotab,
isaac,
motive,
oauth1,
oauth2,
oauth2_initiate,
oauth2_private_key,
ontime,
optimus_tracker,
patriot_eld_slc,
private_key,
route_one_eld,
s3,
samsara,
simple_truck_eld,
switchboard,
spireon_slc,
sftp,
teslemetry,
token,
tt_creds,
truckx_creds,
truckx_slc,
txt_eld_slc,
verizon_connect,
verizon_connect_slc,
webfleet_slc,
zubie
id
string<uuid>
required

Unique Catena TMS identifier

slug
string
required

URL-friendly TMS identifier

created_at
string<date-time>
required

When the TMS was added to Catena

updated_at
string<date-time>
required

Last modification timestamp

status
enum<string>
default:active

The status of the TMS

Available options:
active,
inactive,
deleted,
integrated,
in_progress,
pending
is_sandbox
boolean
default:false

Indicates whether the TMS is a sandbox integration for testing purposes.